#!/bin/sh

fehler()
{
echo "Es fehlt mindestens 1 Fragment. Das Zusammenfuegen wurde beendet."
exit 1
}

vorhanden()
{
echo "Es existiert im aktuellen Verzeichnis schon eine Datei namens"
echo "mut_zu_luecke.mp3."
echo "Die Fragmente wurden nicht zusammengefuegt, um Datenverlust zu vermeiden."
echo "Loeschen, verschieben oder benennen Sie die oben genannte Datei um"
echo "und starten Sie diese Batchdatei noch einmal."
}

echo ""
echo "Diese Batchdatei wurde mit WinFileSplit v1.3.1 erzeugt."
echo "(C) 2002 by Patrick Lenger  (www.patrick-lenger.de / software@patrick-lenger.de)"
echo ""
echo "Ueberpruefung, ob alle Fragmente vorhanden sind ..."
echo ""
if [ ! -e 001 ]; then fehler
fi
if [ ! -e 002 ]; then fehler
fi
if [ -e mut_zu_luecke.mp3 ]; then vorhanden
fi
echo "Dateien werden zusammengefuegt ..."
echo ""

cat 001 002 > mut_zu_luecke.mp3
exit 0